// @flow
import debug from 'debug';

const d = debug('tasks');

export type Task = {
  cmd: string;
  description: string;
  builder: Object;
  handler: any;
};

// Validate the source files
const validate: Task = {
  cmd: 'validate <opts>',
  description: 'Validate the content.',
  builder: {
    b: {
      alias: 'cool-banana',
      default: 'cool',
    },
    batman: {
      nargs: 1,
      // demand: true,
    },
  },
  handler: (argv: Object) => d('validate', argv),
};

// Build the whole project
const build: Task = {
  cmd: 'build',
  description: 'Build the content.',
  builder: {
    b: {
      alias: 'banana',
      default: 'cool',
    },
  },
  handler: (argv: Object) => d('build', argv),
};

// Watch files for changes.
const watch: Task = {
  cmd: 'watch',
  description: 'Watch the content.',
  builder: {
    V: {
      alias: 'verbose',
      count: true,
      default: 0,
    },
  },
  handler: (argv: any) => d('watch', argv),
};

export default { validate, build, watch };
